<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/**
 * @var $block \Magento\Review\Block\Form
 */
?>
<div class="block review-add" id="review-add">
    <div class="block-title"><h3 class="title"><?php /* @escapeNotVerified */ echo __('Write Your Own Review') ?></h3></div>
<div class="block-content">
<?php if ($block->getAllowWriteReviewFlag()): ?>
<form action="<?php /* @escapeNotVerified */ echo $block->getAction() ?>" class="review-form" method="post" id="review-form" data-role="product-review-form" data-bind="scope: 'review-form'">
    <?php echo $block->getBlockHtml('formkey'); ?>
    <?php echo $block->getChildHtml('form_fields_before')?>
    <div class="fieldset review-fieldset" data-hasrequired="<?php __('* Required Fields'); ?>">
        <h4><?php /* @escapeNotVerified */ echo __("You're reviewing: "); ?><span><?php echo $block->escapeHtml($block->getProductInfo()->getName()) ?></span></h4>
        <?php if ($block->getRatings() && $block->getRatings()->getSize()): ?>
        <span id="input-message-box"></span>
        <fieldset class="field required review-field-ratings">
            <div class="control">
                <div class="nested" id="product-review-table">
                    <?php foreach ($block->getRatings() as $_rating): ?>
                        <div class="review-field-rating">
                            <label class="label" id="<?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_rating_label"><span><?php echo $block->escapeHtml($_rating->getRatingCode()) ?></span></label>
                            <div class="control review-control-vote">
                            <?php $options = $_rating->getOptions();?>
                            <?php $iterator = 1; foreach ($options as $_option): ?>
                                <input
                                    type="radio"
                                    name="ratings[<?php /* @escapeNotVerified */ echo $_rating->getId() ?>]"
                                    id="<?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_<?php /* @escapeNotVerified */ echo $_option->getValue() ?>"
                                    value="<?php /* @escapeNotVerified */ echo $_option->getId() ?>"
                                    class="radio"
                                    data-validate="{required:true, messages:{required:'Please select one of each of the ratings above.'}}"
                                    aria-labelledby="<?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_rating_label <?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_<?php /* @escapeNotVerified */ echo $_option->getValue() ?>_label" />
                                <label
                                    class="rating-<?php /* @escapeNotVerified */ echo $iterator; ?>"
                                    for="<?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_<?php /* @escapeNotVerified */ echo $_option->getValue() ?>"
                                    title="<?php /* @escapeNotVerified */ echo __('%1 %2', $iterator, $iterator > 1 ? 'stars' : 'star') ?>"
                                    id="<?php echo $block->escapeHtml($_rating->getRatingCode()) ?>_<?php /* @escapeNotVerified */ echo $_option->getValue() ?>_label">
                                    <span><?php /* @escapeNotVerified */ echo __('%1 %2', $iterator, $iterator > 1 ? 'stars' : 'star') ?></span>
                                </label>
                            <?php $iterator++; ?>
                            <?php endforeach; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
                <input type="hidden" name="validate_rating" class="validate-rating" value="" />
            </div>
        </fieldset>
    <?php endif ?>

		<div class="row">
			<div class="col-xs-12">
				 <div class="form-group review-field-nickname required">
					<label for="nickname_field"><span><?php /* @escapeNotVerified */ echo __('Nickname') ?>&nbsp;<em>*</em></span></label>
					<div class="control">
						<input class="form-control input-text" type="text" name="nickname" id="nickname_field" data-validate="{required:true}" data-bind="value: nickname()" />
					</div>
				</div>
				<div class="form-group review-field-summary required">
					<label for="summary_field"><span><?php /* @escapeNotVerified */ echo __('Summary') ?>&nbsp;<em>*</em></span></label>
					<div class="control">
						<input class="form-control input-text" type="text" name="title" id="summary_field" data-validate="{required:true}" data-bind="value: review().title" />
					</div>
				</div>
			</div>
			<div class="col-xs-12">
				 <div class="form-group review-field-text required">
					<label for="review_field"><span><?php /* @escapeNotVerified */ echo __('Review') ?>&nbsp;<em>*</em></span></label>
					<div class="control">
						<textarea name="detail" style="min-height: auto; height: 128px;" id="review_field" cols="5" rows="3" data-validate="{required:true}" data-bind="value: review().detail"></textarea>
					</div>
				</div>
			</div>
		</div>
    </div>

    <div class="actions-toolbar review-form-actions">
        <div class="primary actions-primary">
            <button type="submit" class="action submit btn btn-primary"><span><?php /* @escapeNotVerified */ echo __('Submit Review') ?></span></button>
        </div>
    </div>
</form>
<script type="text/x-magento-init">
{
    "[data-role=product-review-form]": {
        "Magento_Ui/js/core/app": <?php /* @escapeNotVerified */ echo $block->getJsLayout();?>
    },
    "#review-form": {
        "Magento_Review/js/error-placement": {}
    }
}
</script>
<?php else: ?>
    <div class="message info notlogged" id="review-form">
        <div>
            <?php /* @escapeNotVerified */ echo __('Only registered users can write reviews. Please <a href="%1">Sign in</a> or <a href="%2">create an account</a>', $block->getLoginLink(), $block->getRegisterUrl()) ?>
        </div>
    </div>
<?php endif ?>
</div>
</div>
